/*
 *  This file is part of the KDE System Control Tool,
 *  Copyright (C)1999 Thorsten Westheider <twesthei@physik.uni-bielefeld.de>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ****************************************************************************/

#ifndef __CONFLICTDISPLAY_H
#define __CONFLICTDISPLAY_H

#include <qframe.h>
#include <qlabel.h>
#include <qlist.h>
#include <qscrollview.h>

#include "conflict.h"


class ConflictDisplay : public QWidget
{
  public:
  
    ConflictDisplay(QWidget *parent = 0L, const char *name = 0L);
    ~ConflictDisplay() {}

            void   reset();
            void   showConflicts(QList<Conflict>&);

    virtual QSize  minimumSizeHint() const;
    virtual QSize  sizeHint()        const;

  protected:

    void  resizeEvent(QResizeEvent *);

  private:
  
    QFrame         *_frame;
    QWidget        *_background;
    QScrollView    *_scrollview;
    
    QList<QLabel>  _labellist;
    uint           _listwidth, _listheight;

    void  clear();
};


#endif
