/*
 * APPLICATION PRINT SERVICES LIBRARY
 * (C) Copyright 2000 Corel Corporation
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 *
 *
 *        File: cmdpipe.h
 *
 * Description: Generic operations for manipulating commandline
 *              tools via pipes.  Replacement for libc popen() /
 *              pclose() tools.
 */

#ifndef CMD_PIPE_H
#define CMD_PIPE_H

#include <unistd.h>
#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>

/* Protos */
void *cmdpipeopen(const char *shellcommand,
    FILE **newstdin, FILE **newstdout, FILE **newstderr);
int cmdpipeclose(void *pipehandle, int timeout_secs);
pid_t cmdpipegetpid(void *pipehandle);

#endif /* (! CMD_PIPE_H) */