/* 
 * APPLICATION PRINT SERVICES LIBRARY
 * (C) Copyright 2000 Corel Corporation
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 *
 *
 *        File: gsattrprovider.h
 *
 * Description: An attribute provider that gives access to GhostScript command
 *              line options.
 *
 */

#ifndef GSATTRPROVIDER_H
#define GSATTRPROVIDER_H

typedef struct GSAttrProvider_ GSAttrProvider;

#include "attrprovider.h"

/* Structure of data stored for each instance of a GhostScript Attribute
 * Provider.
 */
struct GSAttrProvider_ {
    AttrProvider baseClass;
};

/* Function to create a new GhostScript Attribute Provider. */
Aps_Result GSAttrCreate(GSAttrProvider ** attrProvider,
                        Aps_Handle associatedObject);

#endif /* GSATTRPROVIDER_H */
